1. Service Requests
Calven Developer Docs
beta
  • latest
  • beta
  • Overview
  • SDKs
  • Access Control
  • HMAC Authentication
  • Basic Authentication
  • Calven Data Models
  • Changelog
  • Authentication
    • Generate a token with an API key and HMAC
      POST
    • Generate a token with an API key and client secret
      POST
  • Presence
    • Presence Overview
    • Submit presence events
      POST
    • Submit presence events (Basic auth)
      POST
  • Occupancy
    • Occupancy Overview
    • Submit occupancy events
      POST
  • Time Off
    • Submit time off updates
      POST
  • Access Credentials
    • Submit access credentials
      POST
  • Warehouse - Basic Auth
    • Warehouse API (Basic Auth)
    • Users (Basic auth)
      GET
    • Groups (Basic auth)
      GET
    • Locations (Basic auth)
      GET
    • Desks (Basic auth)
      GET
    • Bookings & Attendance (Basic auth)
      GET
    • Presence (Basic auth)
      GET
    • User Actions Log (Basic auth)
      GET
    • Events (Basic auth)
      GET
  • Warehouse - HMAC Auth
    • Warehouse API (HMAC Auth)
    • Users
    • Groups
    • Locations
    • Desks
    • Bookings & Attendance
    • Presence
    • User Actions Log
    • Events
  • Hierarchy Information
    • Org Hierarchy Information Overview
    • Submit group hierarchy relationships
    • Submit group hierarchy relationships (Basic auth)
  • User Attributes
    • User Attributes Overview
    • Write directory user attributes
    • Write directory user attributes (Basic auth)
  • Visitor Management
    • Submit visitor arrival events
    • Submit visitor arrival events (Basic auth)
  • Parking
    • Retrieve parking bookings
    • Retrieve parking bookings (Basic auth)
  • Service Requests
    • Service Offerings
      GET
    • Service Offering
      GET
    • Submit a service request
      POST
    • Service Request
      GET
    • Update a service request
      PATCH
  • Schemas
    • Schemas
    • DWEventsResponseDto
  1. Service Requests

Submit a service request

POST
/v1/service-requests
Creates a Service Request for a person outside your organisation and links it to a meeting. Send meeting to have Calven book the meeting in the location room-requests calendar, which only a room request can do, or calendarEventId to link the request to an existing Calven calendar event, such as the one returned when you submitted the room request.

Request

Body Params application/jsonRequired

Examples
{
    "offeringId": "off-room-request-v1",
    "answers": [
        {
            "questionId": "q-room-size",
            "kind": "text",
            "value": "8 people"
        }
    ],
    "requester": {
        "name": "Alex Morgan",
        "email": "alex.morgan@example.com",
        "company": "Example Pty Ltd"
    },
    "meeting": {
        "start": "2026-11-01T23:00:00.000Z",
        "end": "2026-11-02T00:00:00.000Z",
        "subject": "Quarterly review with Example Pty Ltd",
        "attendees": [
            {
                "email": "sam.lee@example.com",
                "name": "Sam Lee"
            }
        ]
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://api.calven.com/v1/service-requests' \
--header 'Content-Type: application/json' \
--data-raw '{
    "offeringId": "off-room-request-v1",
    "answers": [
        {
            "questionId": "q-room-size",
            "kind": "text",
            "value": "8 people"
        }
    ],
    "requester": {
        "name": "Alex Morgan",
        "email": "alex.morgan@example.com",
        "company": "Example Pty Ltd"
    },
    "meeting": {
        "start": "2026-11-01T23:00:00.000Z",
        "end": "2026-11-02T00:00:00.000Z",
        "subject": "Quarterly review with Example Pty Ltd",
        "attendees": [
            {
                "email": "sam.lee@example.com",
                "name": "Sam Lee"
            }
        ]
    }
}'

Responses

🟢201Created
application/json
Bodyapplication/json

Example
{
    "serviceRequestId": "sr-7f3a",
    "calendarEventId": "ce-91c2"
}
🟠401Unauthorized
Modified at 2026-10-16 03:07:55
Previous
Service Offering
Next
Service Request
Built with